Bullet Collision Detection & Physics Library: btNullPairCache Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btNullPairCache Class Reference

btNullPairCache skips add/removal of overlapping pairs. Userful for benchmarking and unit testing. More...

`#include <btOverlappingPairCache.h>`

Inheritance diagram for btNullPairCache:
[legend]
Collaboration diagram for btNullPairCache:
[legend]

## Public Member Functions
virtual btBroadphasePair * | getOverlappingPairArrayPtr ()
const btBroadphasePair * | getOverlappingPairArrayPtr () const
btBroadphasePairArray & | getOverlappingPairArray ()
virtual void | cleanOverlappingPair (btBroadphasePair &, btDispatcher *)
virtual int | getNumOverlappingPairs () const
virtual void | cleanProxyFromPairs (btBroadphaseProxy *, btDispatcher *)
bool | needsBroadphaseCollision (btBroadphaseProxy *, btBroadphaseProxy *) const
btOverlapFilterCallback * | getOverlapFilterCallback ()
virtual void | setOverlapFilterCallback (btOverlapFilterCallback *)
virtual void | processAllOverlappingPairs (btOverlapCallback *, btDispatcher *)
virtual btBroadphasePair * | findPair (btBroadphaseProxy *, btBroadphaseProxy *)
virtual bool | hasDeferredRemoval ()
virtual void | setInternalGhostPairCallback (btOverlappingPairCallback *)
virtual btBroadphasePair * | addOverlappingPair (btBroadphaseProxy *, btBroadphaseProxy *)
virtual void * | removeOverlappingPair (btBroadphaseProxy *, btBroadphaseProxy *, btDispatcher *)
virtual void | removeOverlappingPairsContainingProxy (btBroadphaseProxy *, btDispatcher *)
virtual void | sortOverlappingPairs (btDispatcher *dispatcher)
Public Member Functions inherited from btOverlappingPairCache
virtual | ~btOverlappingPairCache ()
virtual btBroadphasePair * | getOverlappingPairArrayPtr ()=0
virtual const btBroadphasePair * | getOverlappingPairArrayPtr () const =0
virtual btBroadphasePairArray & | getOverlappingPairArray ()=0
virtual void | cleanOverlappingPair (btBroadphasePair &pair, btDispatcher *dispatcher)=0
virtual int | getNumOverlappingPairs () const =0
virtual bool | needsBroadphaseCollision (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1) const =0
virtual btOverlapFilterCallback * | getOverlapFilterCallback ()=0
virtual void | cleanProxyFromPairs (btBroadphaseProxy *proxy, btDispatcher *dispatcher)=0
virtual void | setOverlapFilterCallback (btOverlapFilterCallback *callback)=0
virtual void | processAllOverlappingPairs (btOverlapCallback *, btDispatcher *dispatcher)=0
virtual void | processAllOverlappingPairs (btOverlapCallback *callback, btDispatcher *dispatcher, const struct btDispatcherInfo &)
virtual btBroadphasePair * | findPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1)=0
virtual bool | hasDeferredRemoval ()=0
virtual void | setInternalGhostPairCallback (btOverlappingPairCallback *ghostPairCallback)=0
virtual void | sortOverlappingPairs (btDispatcher *dispatcher)=0
Public Member Functions inherited from btOverlappingPairCallback
virtual | ~btOverlappingPairCallback ()
virtual btBroadphasePair * | addOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1)=0
virtual void * | removeOverlappingPair (btBroadphaseProxy *proxy0, btBroadphaseProxy *proxy1, btDispatcher *dispatcher)=0
virtual void | removeOverlappingPairsContainingProxy (btBroadphaseProxy *proxy0, btDispatcher *dispatcher)=0

## Private Attributes
btBroadphasePairArray | m_overlappingPairArray

## Additional Inherited Members
Protected Member Functions inherited from btOverlappingPairCallback
| btOverlappingPairCallback ()

## Detailed Description

btNullPairCache skips add/removal of overlapping pairs. Userful for benchmarking and unit testing.

Definition at line 353 of file btOverlappingPairCache.h.

## Member Function Documentation

## ◆ addOverlappingPair()

virtual btBroadphasePair * btNullPairCache::addOverlappingPair | ( | btBroadphaseProxy * | ,
|  | btBroadphaseProxy * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 414 of file btOverlappingPairCache.h.

## ◆ cleanOverlappingPair()

virtual void btNullPairCache::cleanOverlappingPair | ( | btBroadphasePair & | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 371 of file btOverlappingPairCache.h.

## ◆ cleanProxyFromPairs()

virtual void btNullPairCache::cleanProxyFromPairs | ( | btBroadphaseProxy * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 380 of file btOverlappingPairCache.h.

## ◆ findPair()

virtual btBroadphasePair * btNullPairCache::findPair | ( | btBroadphaseProxy * | ,
|  | btBroadphaseProxy * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 400 of file btOverlappingPairCache.h.

## ◆ getNumOverlappingPairs()

virtual int btNullPairCache::getNumOverlappingPairs | ( |  | ) | const
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 375 of file btOverlappingPairCache.h.

## ◆ getOverlapFilterCallback()

btOverlapFilterCallback * btNullPairCache::getOverlapFilterCallback | ( |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 388 of file btOverlappingPairCache.h.

## ◆ getOverlappingPairArray()

btBroadphasePairArray & btNullPairCache::getOverlappingPairArray | ( |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 366 of file btOverlappingPairCache.h.

## ◆ getOverlappingPairArrayPtr() [1/2]

virtual btBroadphasePair * btNullPairCache::getOverlappingPairArrayPtr | ( |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 358 of file btOverlappingPairCache.h.

## ◆ getOverlappingPairArrayPtr() [2/2]

const btBroadphasePair * btNullPairCache::getOverlappingPairArrayPtr | ( |  | ) | const
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 362 of file btOverlappingPairCache.h.

## ◆ hasDeferredRemoval()

virtual bool btNullPairCache::hasDeferredRemoval | ( |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 405 of file btOverlappingPairCache.h.

## ◆ needsBroadphaseCollision()

bool btNullPairCache::needsBroadphaseCollision | ( | btBroadphaseProxy * | ,
|  | btBroadphaseProxy * |
| ) |  | const
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 384 of file btOverlappingPairCache.h.

## ◆ processAllOverlappingPairs()

virtual void btNullPairCache::processAllOverlappingPairs | ( | btOverlapCallback * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 396 of file btOverlappingPairCache.h.

## ◆ removeOverlappingPair()

virtual void * btNullPairCache::removeOverlappingPair | ( | btBroadphaseProxy * | ,
|  | btBroadphaseProxy * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 419 of file btOverlappingPairCache.h.

## ◆ removeOverlappingPairsContainingProxy()

virtual void btNullPairCache::removeOverlappingPairsContainingProxy | ( | btBroadphaseProxy * | ,
|  | btDispatcher * |
| ) |  |
| inlinevirtual

Implements btOverlappingPairCallback.

Definition at line 424 of file btOverlappingPairCache.h.

## ◆ setInternalGhostPairCallback()

virtual void btNullPairCache::setInternalGhostPairCallback | ( | btOverlappingPairCallback * |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 410 of file btOverlappingPairCache.h.

## ◆ setOverlapFilterCallback()

virtual void btNullPairCache::setOverlapFilterCallback | ( | btOverlapFilterCallback * |  | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 392 of file btOverlappingPairCache.h.

## ◆ sortOverlappingPairs()

virtual void btNullPairCache::sortOverlappingPairs | ( | btDispatcher * | dispatcher | ) |
| inlinevirtual

Implements btOverlappingPairCache.

Definition at line 428 of file btOverlappingPairCache.h.

## Member Data Documentation

## ◆ m_overlappingPairArray

btBroadphasePairArray btNullPairCache::m_overlappingPairArray
| private

Definition at line 355 of file btOverlappingPairCache.h.

The documentation for this class was generated from the following file:

- btOverlappingPairCache.h